Page MenuHomePhabricator

Deploy Revision Slider on test Wikipedia
Closed, ResolvedPublic1 Story Points

Description

Context:
T135198: Security review for RevisionSlider extension
T133379: [Task] Make RevisionSlider a BetaFeature

Deployment plan:
We are planning to deploy the RevisionSlider on de-wiki and most probably also a left-to-right language wikipedia (arabic and/or hebrew) first to gather feedback both from a left-to-right and a right-to-left language wiki. If that goes well, we plan to enable the RevisionSlider as a beta feature on all wiki projects. Based on the feedback we get, we will decide by December the latest if this is going to be a real feature or undeployed.

Background:
The revision slider is a feature that adds a visualization of all revisions to the compare screen. Revisions are represented as bars on a line and can be selected using two pointers. The revision slider was originally prototyped by the WMF Community Tech team and then handed over to the WMDE TCB team, as it is also a solution to fulfill a wish of the German Community Wishlist: https://de.wikipedia.org/wiki/Wikipedia:Umfragen/Technische_W%C3%BCnsche_2015/Artikel#Anzeige_aller_Bearbeitungskommentare_im_Diff

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 29 2016, 12:35 PM
Addshore claimed this task.
Tobi_WMDE_SW renamed this task from Deploy Revision Slider test Wikipedia to Deploy Revision Slider on test Wikipedia.Jun 30 2016, 9:30 AM

Change 296753 had a related patch set uploaded (by Addshore):
Deploy RevisionSlider to test test2 and testikidata

https://gerrit.wikimedia.org/r/296753

@Addshore are you sure about Wikidata? Would like to know what @Lydia_Pintscher thinks.

@Addshore are you sure about Wikidata? Would like to know what @Lydia_Pintscher thinks.

I see no reason not to! :)

I'd like to hear the plan for further rollout and communication first.

Tobi_WMDE_SW added a comment.EditedJun 30 2016, 4:13 PM

@Lydia_Pintscher only thing fixed yet, is to roll it out to dewiki after a prior announcement.

Then I think it isn't useful to put it on testwikidata at this point.

@Addshore ok, let's leave Wikidata out then for now. Regarding the schedule, I think we should deploy it with the next possibility.

Then I think it isn't useful to put it on testwikidata at this point.

Well, it would probably be usefull to make sure that Wikibase and the RevisionSlider work well together.
Remember this is only on testwikidata and also only a betafeature which people would still have to actively turn on.

I will remove testwikidatawiki from the patch for now.

Addshore added a project: Revision-Slider.
Addshore moved this task from Incoming to Doing on the Revision-Slider board.Jul 5 2016, 2:19 PM

Change 297412 had a related patch set uploaded (by Addshore):
Add RevisionSlider to make-wmf-branch

https://gerrit.wikimedia.org/r/297412

JanZerebecki updated the task description. (Show Details)Jul 5 2016, 4:48 PM

@JanZerebecki I don't think any of what you have just added to the description under "sound as if they should be done before deploying to anything production"
At most they may block deployment to a 'real wiki' but again remember this is a beta feature.
Perhaps it would also make more sense to have them in a comment so they can be discussed rather than in the task description.

And if you check the tickets you'll find that T137964 and T133278 are already done.
@Lea_WMDE would not have requested that we move forward with this if T137202 blocked it
And T139296 as far as I know really shouldn't block it either.

Can't find the checklist right now. But I think as a beta feature needs at least a time frame for undeploy or graduation to a normal feature.

Well, it would probably be usefull to make sure that Wikibase and the RevisionSlider work well together.

I agree, it should be rolled out to all group0 wikis.

Addshore updated the task description. (Show Details)Jul 5 2016, 4:59 PM

Can't find the checklist right now. But I think as a beta feature needs at least a time frame for undeploy or graduation to a normal feature.

Could this be it https://www.mediawiki.org/wiki/Beta_Features#Creating_your_own ?

Well, it would probably be usefull to make sure that Wikibase and the RevisionSlider work well together.

I agree, it should be rolled out to all group0 wikis.

As the above comments explicitly request that it not be included on testwikidatawiki then it will not be.

T133278 still has open patches.

T133278 still has open patches.

Yes patches that vaugly relate to the ticket, although are not specified in the description but are extra.
Also we are talking about tests here. Tests that pass and the only reason they are not being merged is due to Jenkins currently not being able to run some unrelated check using node relating to T139374

If they are done then why are they not closed?
If jenkins fails the extension then it should not be branched.

Next to time frame, there also needs to be a plan under what conditions it will either be undeployed or graduated.

If they are done then why are they not closed?

TCB team closes tasks according to it's definition of done.

If jenkins fails the extension then it should not be branched.

In that case basically no extensions should be branched or deployed with the train as every extension with an npm job will currently fail.

Next to time frame, there also needs to be a plan under what conditions it will either be undeployed or graduated.

The timeframe for having RevisionSlider deployed is the end of Q3 as per the roadmap.
It will be deployed to dewiki as a beta feature a couple of weeks after landing on testwiki.
If it is generally accepted by dewiki it would be graduated, if it is not then it would not.

I don't think that any of the mentioned tasks are in any way blockers for having the extension on test wikis.

For the time plan of the RevisionSlider extension, I think @Lea_WMDE and @Bmueller can give a more detailed overview as well as telling something about the criteria of graduating or undeploying the extension. @JanZerebecki, could you point us to the page where this plan and criteria should be written/communicated or at least to the page where it says that this is a hard requirement for deploying the beat-feature on test wikis.
Also it would be great if you could revisit and remove your -2 on https://gerrit.wikimedia.org/r/#/c/296753/ and https://gerrit.wikimedia.org/r/#/c/297412/ so we can move on here.

Just tested it on beta wikidata, seems to work.
"Needing to move on" nor a time plan is a reason for overriding the requirements for deployment.

As the above comments explicitly request that it not be included on testwikidatawiki then it will not be.

I did not find such an explicit request.

For the time plan of the RevisionSlider extension, I think @Lea_WMDE and @Bmueller can give a more detailed overview as well as telling something about the criteria of graduating or undeploying the extension.

Yes please, I had an extensive discussion with Lea explaining this part.

Concerning the deployment plan: We are planning to deploy the RevisionSlider on de-wiki and most probably also a left-to-right language wikipedia (arabic and/or hebrew) first to gather feedback both from a left-to-right and a right-to-left language wiki. If that goes well, we plan to enable the RevisionSlider as a beta feature on all wiki projects. Based on the feedback we get, we will decide by December the latest if this is going to be a real feature or undeployed.

Change 297412 merged by JanZerebecki:
Add RevisionSlider to make-wmf-branch

https://gerrit.wikimedia.org/r/297412

Change 297613 had a related patch set uploaded (by Addshore):
Add RevisionSlider extension

https://gerrit.wikimedia.org/r/297613

As the above comments explicitly request that it not be included on testwikidatawiki then it will not be.

I did not find such an explicit request.

See T138943#2418599 and T138943#2418932

Then I think it isn't useful to put it on testwikidata at this point.

Well, it would probably be usefull to make sure that Wikibase and the RevisionSlider work well together.
Remember this is only on testwikidata and also only a betafeature which people would still have to actively turn on.

I will remove testwikidatawiki from the patch for now.

Ok thanks! I think it is ok to go in the second round then.

As the above comments explicitly request that it not be included on testwikidatawiki then it will not be.

I did not find such an explicit request.

See T138943#2418599

That still doesn't read to me that way.

and T138943#2418932

I missed that.

Anyway fine as is for now.

Change 297621 had a related patch set uploaded (by JanZerebecki):
Add ext:RevisionSlider

https://gerrit.wikimedia.org/r/297621

Change 297621 abandoned by JanZerebecki:
Add ext:RevisionSlider

Reason:
Already in I74620405358a0735f7ef26fcca9443aeca1bb821

https://gerrit.wikimedia.org/r/297621

Lea_WMDE updated the task description. (Show Details)Jul 14 2016, 8:32 AM

Change 298966 had a related patch set uploaded (by Addshore):
Add RevisionSlider extension

https://gerrit.wikimedia.org/r/298966

Change 297613 merged by jenkins-bot:
Add RevisionSlider extension

https://gerrit.wikimedia.org/r/297613

Change 298966 merged by jenkins-bot:
Add RevisionSlider extension

https://gerrit.wikimedia.org/r/298966

Change 296753 merged by jenkins-bot:
Deploy RevisionSlider to test and test2

https://gerrit.wikimedia.org/r/296753

Addshore closed this task as Resolved.
Addshore moved this task from Review to Done on the TCB-Team-Sprint-2016-07-14 board.
aude moved this task from Doing to Done on the Revision-Slider board.Jul 15 2016, 12:57 AM

mediawikiwiki is also normally bundled with testwiki and test2wiki for features.

A small interest has also been expressed on https://www.mediawiki.org/w/index.php?title=Topic:T86edib3od4ctdjk&action=history so I will make a patch linked to this ticket for enabling it there..

Change 301105 had a related patch set uploaded (by Addshore):
Enable RevisionSlider on mediawikiwiki

https://gerrit.wikimedia.org/r/301105

Change 301105 merged by jenkins-bot:
Enable RevisionSlider on mediawikiwiki

https://gerrit.wikimedia.org/r/301105